### Constructor

# Gimp Path new

since: 2.4

#### Declaration [src]

    GimpPath*
    gimp_path_new (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Create a new empty path object.

This procedure creates a new empty path object. If `name` is `NULL`, a default path name will be used.

The new path still needs to be added to the image as this is not automatic. Add the new path with the `gimp_image_insert_path()` method.

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the new path object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpPath`

         the current path object, 0 if no path exists in the image.

The data is owned by the called function.